SET NOCOUNT ON
IF NOT EXISTS(
	SELECT 
		ID 
	FROM 
		SYSOBJECTS 
	WHERE 
		NAME = 'RC_CLI_CONV_RC_CLI' AND XTYPE = 'U')
BEGIN
	SET NOCOUNT OFF
	RAISERROR('A TABELA NA QUAL O CAMPO SERÁ ADICIONADO NÃO FOI ENCONTRADA NO BANCO DE DADOS.',16,1)
END

ELSE
BEGIN
	IF NOT EXISTS (
		SELECT
			* 
		FROM 
			SYSCOLUMNS 
		WHERE 
			NAME = 'STS_ATIVO'
			AND ID IN (
				SELECT 
					ID 
				FROM 
					SYSOBJECTS 
				WHERE 
					NAME = 'RC_CLI_CONV_RC_CLI' AND XTYPE = 'U'))

		BEGIN
			ALTER TABLE DBO.RC_CLI_CONV_RC_CLI ADD STS_ATIVO BIT NOT NULL DEFAULT 1

		END
	SET NOCOUNT OFF
	PRINT 'CAMPO STS_ATIVO NA TABELA RC_CLI_CONV_RC_CLI INSERIDO COM SUCESSO '
END